import 'dart:async';

import 'package:codenic_alarm/src/codenic_alarm.dart';
import 'package:codenic_alarm/src/models/alarm_info.dart';

class CodenicAlarmUnsupportedPlatform extends CodenicAlarm {
  @override
  FutureOr<AlarmInfo?> activeAlarm() =>
      throw ArgumentError('This platform is not supported.');

  @override
  FutureOr<void> cancel({required int id}) =>
      throw ArgumentError('This platform is not supported.');

  @override
  FutureOr<void> cancelAll() =>
      throw ArgumentError('This platform is not supported.');

  @override
  FutureOr<void> dismissAlarm() =>
      throw ArgumentError('This platform is not supported.');

  @override
  FutureOr<bool> initialize() =>
      throw ArgumentError('This platform is not supported.');

  @override
  FutureOr<bool> schedule({
    required Duration delay,
    required AlarmInfo alarmInfo,
  }) =>
      throw ArgumentError('This platform is not supported.');

  @override
  FutureOr<bool> scheduleAt({
    required DateTime schedule,
    required AlarmInfo alarmInfo,
  }) =>
      throw ArgumentError('This platform is not supported.');
}
